resolved by review
Report
resolved by review
Get Resolved Reports by Review ID
This endpoint retrieves resolved reports associated with a specific review, identified by the reviewId.
Request
Request URL
- Method: GET
- URL:
{{baseUrl}}/reports/review/:reviewId/resolved?page=1&limit=10
Query Parameters
page(number): The page number for paginated results.limit(number): The maximum number of reports to be returned per page.
Response
The response will contain an object with the following properties:
data(object)reports(object)docs(array): An array of resolved report objects._id(string): The unique identifier for the report.review(object): Details of the review associated with the report._id(string): The unique identifier for the review.book(string): The book associated with the review.review(string): The review content.reviewer(string): The reviewer’s name.rating(number): The rating given in the review.upvoters(array): An array of upvoters for the review.downvoters(array): An array of downvoters for the review.isRemoved(boolean): Indicates if the review has been removed.createdAt(string): The creation date of the review.updatedAt(string): The date of the last update to the review.__v(number): Version key.
reporter(object): Details of the user who reported the review._id(string): The unique identifier for the reporter.firstName(string): The first name of the reporter.lastName(string): The last name of the reporter.userName(string): The username of the reporter.email(string): The email of the reporter.role(string): The role of the reporter.createdAt(string): The creation date of the reporter.updatedAt(string): The date of the last update to the reporter.__v(number): Version key.
reason(string): The reason provided for reporting the review.isResolved(boolean): Indicates if the report has been resolved.createdAt(string): The creation date of the report.updatedAt(string): The date of the last update to the report.__v(number): Version key.
totalDocs(number): The total number of resolved reports.offset(number): The offset of the results.limit(number): The maximum number of reports per page.totalPages(number): The total number of pages.page(number): The current page number.pagingCounter(number): The paging counter.hasPrevPage(boolean): Indicates if there is a previous page.hasNextPage(boolean): Indicates if there is a next page.prevPage(null): The previous page number, if available.nextPage(null): The next page number, if available.
error(null): If an error occurs, details will be provided in this property.
GET
resolved by review